## 👀 About MI-TUNE

We propose MI-TUNE, a novel fine-tuning method for text-to-image generative diffusion models, that uses mutual information to align generated images to user intentions through natural prompts. 

## 🔨Usage

### Finetuning set construction

cd construct_finetuning_dataset
python gen_imgs_save_best_1phase.py \
    --outdir ../MITUNE_data \
    --prompt_file_name <path_to_training_prompts.txt> 

### Finetuning

cd ..
cd run_finetuning
python training_script.py  \
    --train_data_dir ../MITUNE_data \
    --outdir ../MITUNE_ckpts  

### Inference

cd ..
cd inference
python inference_eval.py \
    --dora_ckpt_dir <path_to_checkpoint_folder> \
    --outdir ../MITUNE_test \
    --from_file <path_to_test_prompts.txt>