import argparse


def parse_args_and_update_config():
    parser = argparse.ArgumentParser()

    parser.add_argument(
        "--prompt_file_name",
        type=str,
        help='path to finetuning prompts txt file',
    ) 
    parser.add_argument(
        "--prompt",
        type=str,
        default="a green bench and a blue car",
    ) 


    parser.add_argument(
        "--pretrained_model_name_or_path",
        type=str,
        help='path to stable-diffusion-2-1-base',
        default="stabilityai/stable-diffusion-2-1-base", 
    )


    parser.add_argument(
        "--dora_ckpt_dir", 
        type=str,  
        help='path to dora checkpoint folder, for round > 1',
    )

    parser.add_argument("--seed", type=int, default=42)

    parser.add_argument(
        "--num_images_per_prompt",
        type=int,
        default=50,
        help='number of candidate images',
    )
    parser.add_argument(
        "--z_sample_num",
        type=int,
        default=100,
        help='denoising timesteps',
    )

    parser.add_argument(
        "--outdir", 
        type=str,
        default='../MITUNE_data', 
    )


    args = parser.parse_args()

    return args