import argparse

def parse_args():
    parser = argparse.ArgumentParser()

    parser.add_argument(
        "--from_file",
        type=str,
        help="load test prompts from this file",
    )
    parser.add_argument(
        "--outdir",
        type=str, 
        help="dir to write results to",
        default="../MITUNE_test"
    )

    parser.add_argument(
        "--dora_ckpt_dir",  type=str,  default='../MITUNE_ckpts/checkpoint-5' )

    parser.add_argument(
        "--n_iter",
        type=int,
        default=2,
        help="number of iterations to run for each prompt",
    )
    parser.add_argument(
        "--batch_size",
        type=int,
        default=3,
        help="batch size for each prompt",
    )

    parser.add_argument(
        "--num_inference_steps",
        type=int,
        default=50, 
    )

    parser.add_argument(
        "--pretrained_model_name_or_path",
        type=str,
        help='path to stable-diffusion-2-1-base',
        default="stabilityai/stable-diffusion-2-1-base", 
    )
    
    args = parser.parse_args()
    return args

