# User survey app

This folder contains a webapp used to investigate
how humans compares different pictures for the same
text prompt.

The webapp is a jupyter notebook that uses [ipywidgets](https://ipywidgets.readthedocs.io/en/stable/)
to compose a user survey. The notebook is transformed
into a webapp using [voila](https://voila.readthedocs.io/en/stable/using.html).

Specifically, the survey is composed of multiple rounds.
In each round the app shows a text prompt and a set of images selected randomly.
The user needs to select which images better represent each prompt.
As there are no right or wrong answers, users can select from zero to all images.

The results are collected under the `survey/answers` folder:

* Each survey is saved as a separated CSV with the filename
representing the timestamp of when is generated.

* In the CSV each row collect the prompt and a set of True/False
values mapped to the user selection.

## Run the app locally


First of all, create a conda environment using the dependencies specified in `environment.yml`

```
conda env create -f environment.yml
conda activate mi-tune
```

There are 2 surveys available

* `survey/src/survey_metrics.ipynb`: at each round, users need
to select among 3 images, each associated to a different metrics.

* `survey/src/survey_methods.ipynb`: at each round, users need
to selecte among 8 pictures, each associated to a different
alignment methods.

This repository contains samples images so to run
locally the logic of the survey.

```
voila survey/src/<jupyter_notebook.ipynb>
```
